{
  "openapi": "3.0.4",
  "info": {
    "title": "Signicat Data Verification API",
    "description": "\n- **Base URL**: `https://api.signicat.com/info/lookup/`\n- **Documentation**: See the [Data Verification](/docs/data-verification/) developer documentation.\n- **Support**: [Create a support ticket](https://dashboard.signicat.com/contact-us/tickets/) in the Signicat Dashboard.\n\n# Introduction\n\nThe Data Verification API returns normalised data from carefully selected data sources through a single point of integration, making it easy for you to interpret and use the responses regardless of the source.\n\nThis API reference provides information on available endpoints and how to interact with them. To learn more about the use cases and available data sources, see our [Data Verification developer documentation](/docs/data-verification/).\n\nThis REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.\n\n# Get started\n\nBefore you can start making requests to this API, you need to learn how to connect to it. To do this, see the [Quick start guide](/docs/data-verification/quick-start/).\n\n# Using this API\n\n## Audit logs\n\nUse the Signicat **Audit logs** service to see documented evidence of the sequence of activities that have affected a system.\n\n- Access it: **Signicat Dashboard** > **Settings** > [**Audit logs**](https://dashboard.signicat.com/audit)\n- For information generic to all Signicat audit logs, see the general [Audit logs](/docs/audit-logs/) documentation.\n\n## Errors\n\nWhen you make an API call to Signicat and an error occurs, you will receive a response message with an error code.\n\n- For errors generic to all Signicat APIs, see the general [Error codes](/docs/error-codes/) documentation.\n- For errors specific to this service, see the Data Verification [Error codes](/docs/data-verification/error-codes/) documentation.\n\n## Events (callback)\n\nUse the Signicat **Events** service to automatically receive information about when something happens in one of our services into your system.\n\n- Access it: Go to **Signicat Dashboard** > **Settings** > [**Events**](https://dashboard.signicat.com/events)\n- For information generic to all Signicat events, see the general [Events](/docs/events/) documentation.\n\n> **Note**: This is often referred to as callback.\n",
    "contact": "",
    "version": "v1",
    "license": "",
    "termsOfService": ""
  },
  "servers": [
    {
      "url": "https://api.signicat.com/info/lookup"
    }
  ],
  "tags": [
    {
      "name": "Organizations",
      "description": "\nThis API returns information about an organization. \n\nLearn more about the different data sources in the [developer documentation](https://developer.signicat.com/docs/data-verification/data-sources/).\nAlso, refer to Sources section (below) to learn how to configure the data sources which you would like to use.\n"
    },
    {
      "name": "Persons",
      "description": "\nThis API returns information about a person. \n\nLearn more about the different data sources in the [developer documentation](https://developer.signicat.com/docs/data-verification/data-sources/). \nAlso, refer to Sources section (below) to learn how to configure the data sources which you would like to use.\n"
    },
    {
      "name": "Sources",
      "description": "\nContains information about the different sources used by the API.\n\nIt is possible to instruct the API to use a preferred source across profiles by including a JWT of the following model in the request headers.\n{\n  \"ver\": 1,\n  \"rules\": [\n    {\n      \"scope\": [\n        \"basic\",\n      ],\n      \"sources\": [\n        \"nameOfSource\"\n      ]\n    }\n  ],\n  \"strict\": true\n}\n\nIf the source is specified by query parameter for a request, this will be used instead of any header.\n"
    },
    {
      "name": "AccountsAndAttributes",
      "description": "\nThis API returns information about a account. \n\nLearn more about the different data sources in the [developer documentation](https://developer.signicat.com/docs/data-verification/data-sources/). \nAlso, refer to Sources section (below) to learn how to configure the data sources which you would like to use.\n"
    },
    {
      "name": "BusinessRegistry",
      "description": " This API returns information about a business registry."
    },
    {
      "name": "Geodata",
      "description": " This API returns information about geo data."
    }
  ],
  "paths": {
    "/accountsAndAttributes/fraudRisk": {
      "get": {
        "tags": [
          "AccountsAndAttributes"
        ],
        "summary": "Fraud Risk",
        "description": "Retrieve risk of fraud",
        "operationId": "AccountsAndAttributes_GetFraudRisk_GET",
        "parameters": [
          {
            "name": "email",
            "in": "query",
            "description": "The email address to be checked for risk.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "phoneNumber",
            "in": "query",
            "description": "The phone number to be checked for risk.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ipAddress",
            "in": "query",
            "description": "The IP address to be checked for risk.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "country",
            "in": "query",
            "description": "Country connected with the phoneNumber. ISO 3166-1 country code. This is an optional parameter and usage would depend on the source.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Risk of Fraud was found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountsAndAttributes.FraudRiskDto"
                }
              }
            }
          },
          "400": {
            "description": "Request has errors"
          },
          "401": {
            "description": "Unauthorized to do the request"
          },
          "403": {
            "description": "Forbidden to do the request"
          },
          "404": {
            "description": "No risk of fraud was found"
          }
        }
      }
    },
    "/businessregistry": {
      "get": {
        "tags": [
          "BusinessRegistry"
        ],
        "summary": "List registration authorities",
        "description": "Retrieves a list of business registration authorities globally",
        "operationId": "BusinessRegistry_ListRegistrationAuthorities_GET",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/BusinessRegistry.RegistrationAuthorityItemDto"
                  }
                },
                "example": [
                  {
                    "self_url": "https://api.signicat.com/info/lookup/businessregistry/RA000071",
                    "authorityCode": "RA000071",
                    "countryCode": "CM",
                    "country": "Cameroon",
                    "localizedName": "Planning and Regional De…t (Ministry of Economy)",
                    "internationalName": "Planning and Regional De…t (Ministry of Economy)",
                    "jurisdiction": "Cameroon"
                  },
                  {
                    "self_url": "https://api.signicat.com/info/lookup/businessregistry/RA000201",
                    "authorityCode": "RA000201",
                    "countryCode": "DE",
                    "country": "Germany",
                    "localizedName": "Handelsregister",
                    "internationalName": "Commercial Register",
                    "jurisdiction": "Ansbach"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "/businessregistry/{authorityCode}": {
      "get": {
        "tags": [
          "BusinessRegistry"
        ],
        "summary": "Retrieve registration authority",
        "description": "Retrieves detailed information about a specific registration authority",
        "operationId": "BusinessRegistry_GetRegistrationAuthorityByAuthorityCode_GET",
        "parameters": [
          {
            "name": "authorityCode",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessRegistry.RegistrationAuthorityDto"
                },
                "example": {
                  "responsibleOrgLocalizedName": "Centre National du Registre du Commerce (CNRC)",
                  "responsibleOrgInternationalName": "National Center of the Trade Register",
                  "website": "https://sidjilcom.cnrc.dz/web/cnrc/accueil",
                  "authorityCode": "RA000003",
                  "countryCode": "DZ",
                  "country": "Algeria",
                  "localizedName": "Registre du Commerce",
                  "internationalName": "Trade Register",
                  "jurisdiction": "Algeria"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/geodata/countries": {
      "get": {
        "tags": [
          "Geodata"
        ],
        "summary": "List countries",
        "description": "Lists all countries in the world with English name and ISO 3166-1 country code",
        "operationId": "Geodata_ListCountries_GET",
        "parameters": [
          {
            "name": "lang",
            "in": "query",
            "description": "Language for result. Defaults to English",
            "schema": {
              "type": "string",
              "default": "en"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Geodata.CountryListItemDto"
                  }
                },
                "example": [
                  {
                    "self_url": "https://api.signicat.com/info/lookup/geodata/countries/AD?lang=en",
                    "countryCode": "AD",
                    "countryName": "Andorra",
                    "isoAlpha3": "AND",
                    "isoNumeric": "020"
                  },
                  {
                    "self_url": "https://api.signicat.com/info/lookup/geodata/countries/BG?lang=en",
                    "countryCode": "BG",
                    "countryName": "Bulgaria",
                    "isoAlpha3": "BGR",
                    "isoNumeric": "100"
                  },
                  {
                    "self_url": "https://api.signicat.com/info/lookup/geodata/countries/CH?lang=en",
                    "countryCode": "CH",
                    "countryName": "Switzerland",
                    "isoAlpha3": "CHE",
                    "isoNumeric": "756"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "/geodata/countries/{countryCode}": {
      "get": {
        "tags": [
          "Geodata"
        ],
        "summary": "Retrieve country info",
        "description": "Retrieves basic geographical information about a country",
        "operationId": "Geodata_GetCountryInfo_GET",
        "parameters": [
          {
            "name": "countryCode",
            "in": "path",
            "description": "ISO 3166-1 alpha-2 country code to look up",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "lang",
            "in": "query",
            "description": "Language for result. Defaults to English",
            "schema": {
              "type": "string",
              "default": "en"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Geodata.CountryInfoDto"
                },
                "example": {
                  "self_url": "https://api.signicat.com/info/lookup/geodata/countries/AD?lang=en",
                  "subdivisions_url": "https://api.signicat.com/info/lookup/geodata/countries/AD/subdivisions?lang=en",
                  "continent": "EU",
                  "capital": "Andorra la Vella",
                  "languages": [
                    "ca"
                  ],
                  "population": "77006",
                  "countryCode": "AD",
                  "isoAlpha3": "AND",
                  "countryName": "Andorra",
                  "continentName": "Europe",
                  "currencyCode": "EUR",
                  "isoNumeric": "020"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/geodata/countries/{countryCode}/subdivisions": {
      "get": {
        "tags": [
          "Geodata"
        ],
        "summary": "List country subdivisions",
        "description": "Retrieves a list over top level administrative subdivisions for a country with name and ISO 3166-2 region code",
        "operationId": "Geodata_ListCountrySubdivisions_GET",
        "parameters": [
          {
            "name": "countryCode",
            "in": "path",
            "description": "ISO 3166-1 alpha-2 country code to look up",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "lang",
            "in": "query",
            "description": "Language for result. Defaults to English",
            "schema": {
              "type": "string",
              "default": "en"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Geo.DivisionListItem"
                  }
                },
                "example": [
                  {
                    "name": "Andorra la Vella",
                    "isoCode": "07"
                  },
                  {
                    "name": "La Massana",
                    "isoCode": "04"
                  },
                  {
                    "name": "Ordino",
                    "isoCode": "05"
                  },
                  {
                    "name": "Sant Julià de Loria",
                    "isoCode": "06"
                  },
                  {
                    "name": "Canillo",
                    "isoCode": "02"
                  },
                  {
                    "name": "Escaldes-Engordany",
                    "isoCode": "08"
                  },
                  {
                    "name": "Encamp",
                    "isoCode": "03"
                  }
                ]
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/countries/{country}/organizations/{id}": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Basic",
        "description": "Retrieve basic info about an organization",
        "operationId": "Organization_GetBasicOrganizationInfo_GET",
        "parameters": [
          {
            "name": "country",
            "in": "path",
            "description": "ISO 3166-1 country code",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Id of the organization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax`, `external`, `IBAN` and `branch`, defaults to `organization` or `IBAN` based on endpoint and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Company Name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Organization.BasicInfoDto"
                },
                "example": {
                  "name": "SIGNICAT AS",
                  "names": [
                    {
                      "name": "SIGNICAT AS",
                      "type": "registered",
                      "start": null,
                      "end": null
                    }
                  ],
                  "organizationNumber": "989584022",
                  "vatNumber": "989584022",
                  "registrationDate": null,
                  "country": {
                    "name": null,
                    "alpha2": "NO",
                    "alpha3": "NOR",
                    "numeric": "578"
                  },
                  "businessAddress": {
                    "street": "Gryta 2A",
                    "postalCode": "7010",
                    "city": "TRONDHEIM",
                    "country": {
                      "name": null,
                      "alpha2": "NO",
                      "alpha3": "NOR",
                      "numeric": "578"
                    }
                  },
                  "addresses": [
                    {
                      "type": "postal",
                      "startDate": null,
                      "endDate": null,
                      "isActive": true,
                      "street": "Postboks 1234",
                      "postalCode": "0001",
                      "city": "OSLO",
                      "country": {
                        "name": null,
                        "alpha2": "NO",
                        "alpha3": "NOR",
                        "numeric": "578"
                      }
                    },
                    {
                      "type": "business",
                      "startDate": null,
                      "endDate": null,
                      "isActive": true,
                      "street": "Gryta2A",
                      "postalCode": "7010",
                      "city": "TRONDHEIM",
                      "country": {
                        "name": null,
                        "alpha2": "NO",
                        "alpha3": "NOR",
                        "numeric": "578"
                      }
                    }
                  ],
                  "organizationType": {
                    "name": "Aksjeselskap",
                    "code": "AS",
                    "url": "https://data.brreg.no/enhetsregisteret/api/organisasjonsformer"
                  },
                  "legalStatus": "active",
                  "employees": 132,
                  "industries": [
                    {
                      "code": "58.29",
                      "description": "Other software publishing",
                      "section": "J",
                      "level": 4
                    }
                  ],
                  "contact": {
                    "phone": {
                      "nationalNumber": "1283",
                      "countryCode": 1,
                      "intlFormat": "+1 1283"
                    },
                    "email": "example@example.com"
                  },
                  "metadata": {
                    "sources": [
                      "no-brreg"
                    ],
                    "urls": [
                      "https://data.brreg.no/enhetsregisteret/api/enheter/989584022"
                    ],
                    "lastChanged": null,
                    "rawJson": null,
                    "isCache": false
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/countries/{country}/organizations/{id}/authorization": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Authorization",
        "description": "This endpoint returns which people are allowed to sign and act on behalf of an organization.\n            \nIf multiple people have to sign together, those people will be mentioned together in a so-called “combination”. If multiple combinations exist, they will all be calculated by the API and returned.\n            The API will report if it was able to calculate all combinations, only a part of the possible combinations, or no combinations.\n            The API will also return a list of the individual people with signing rights and their respective roles.",
        "operationId": "Organization_GetAuthorization_GET",
        "parameters": [
          {
            "name": "country",
            "in": "path",
            "description": "ISO 3166-1 country code",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Id of the organization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax`, `external`, `IBAN` and `branch`, defaults to `organization` or `IBAN` based on endpoint and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Company Name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Organization.AuthorizationDto"
                },
                "example": {
                  "signature": {
                    "status": "complete",
                    "description": "Styret i fellesskap, Styrets leder alene",
                    "combinations": [
                      {
                        "signers": [
                          {
                            "name": {
                              "status": "partial",
                              "full": "Anne Marie Dahl",
                              "first": null,
                              "last": null,
                              "middle": null
                            },
                            "dateOfBirth": "1970-04-02",
                            "role": {
                              "code": "boardLeader",
                              "description": "Styrets leder"
                            },
                            "identityNumber": {
                              "idNumber": "123432",
                              "type": "unknown",
                              "country": {
                                "name": "Norway",
                                "alpha2": "NO",
                                "alpha3": "NOR",
                                "numeric": "578"
                              }
                            }
                          },
                          {
                            "name": {
                              "status": "partial",
                              "full": "Lars Nilsen",
                              "first": null,
                              "last": null,
                              "middle": null
                            },
                            "dateOfBirth": "1983-10-26",
                            "role": {
                              "code": "boardMember",
                              "description": "Styremedlem"
                            },
                            "identityNumber": {
                              "idNumber": "123431",
                              "type": "unknown",
                              "country": {
                                "name": "Norway",
                                "alpha2": "NO",
                                "alpha3": "NOR",
                                "numeric": "578"
                              }
                            }
                          },
                          {
                            "name": {
                              "status": "partial",
                              "full": "Kari Elisabeth Strand",
                              "first": null,
                              "last": null,
                              "middle": null
                            },
                            "dateOfBirth": "1988-07-07",
                            "role": {
                              "code": "boardMember",
                              "description": "Styremedlem"
                            },
                            "identityNumber": {
                              "idNumber": "12343234",
                              "type": "unknown",
                              "country": {
                                "name": "Norway",
                                "alpha2": "NO",
                                "alpha3": "NOR",
                                "numeric": "578"
                              }
                            }
                          }
                        ],
                        "description": "Styret i fellesskap"
                      },
                      {
                        "signers": [
                          {
                            "name": {
                              "status": "partial",
                              "full": "Anne Marie Dahl",
                              "first": null,
                              "last": null,
                              "middle": null
                            },
                            "dateOfBirth": "1970-04-02",
                            "role": {
                              "code": "boardLeader",
                              "description": "Styrets leder"
                            },
                            "identityNumber": {
                              "idNumber": "123423",
                              "type": "unknown",
                              "country": {
                                "name": "Norway",
                                "alpha2": "NO",
                                "alpha3": "NOR",
                                "numeric": "578"
                              }
                            }
                          }
                        ],
                        "description": "Styrets leder alene"
                      }
                    ],
                    "basis": {
                      "people": [
                        {
                          "name": {
                            "status": "partial",
                            "full": "Anne Marie Dahl",
                            "first": null,
                            "last": null,
                            "middle": null
                          },
                          "dateOfBirth": "1970-04-02",
                          "role": {
                            "code": "boardLeader",
                            "description": "Styrets leder"
                          },
                          "roles": [
                            {
                              "code": "boardLeader",
                              "description": "Styrets leder"
                            }
                          ],
                          "identityNumber": {
                            "idNumber": "4535456",
                            "type": "unknown",
                            "country": {
                              "name": "Norway",
                              "alpha2": "NO",
                              "alpha3": "NOR",
                              "numeric": "578"
                            }
                          }
                        },
                        {
                          "name": {
                            "status": "partial",
                            "full": "Lars Nilsen",
                            "first": null,
                            "last": null,
                            "middle": null
                          },
                          "dateOfBirth": "1983-10-26",
                          "role": {
                            "code": "boardMember",
                            "description": "Styremedlem"
                          },
                          "roles": [
                            {
                              "code": "boardMember",
                              "description": "Styremedlem"
                            }
                          ],
                          "identityNumber": {
                            "idNumber": "64564564",
                            "type": "unknown",
                            "country": {
                              "name": "Norway",
                              "alpha2": "NO",
                              "alpha3": "NOR",
                              "numeric": "578"
                            }
                          }
                        },
                        {
                          "name": {
                            "status": "partial",
                            "full": "Kari Elisabeth Strand",
                            "first": null,
                            "last": null,
                            "middle": null
                          },
                          "dateOfBirth": "1983-07-07",
                          "role": {
                            "code": "boardMember",
                            "description": "Styremedlem"
                          },
                          "roles": [
                            {
                              "code": "boardMember",
                              "description": "Styremedlem"
                            }
                          ],
                          "identityNumber": {
                            "idNumber": "3242343",
                            "type": "unknown",
                            "country": {
                              "name": "Norway",
                              "alpha2": "NO",
                              "alpha3": "NOR",
                              "numeric": "578"
                            }
                          }
                        },
                        {
                          "name": {
                            "status": "partial",
                            "full": "Øystein Magnus Haugen",
                            "first": null,
                            "last": null,
                            "middle": null
                          },
                          "dateOfBirth": "1980-05-01",
                          "role": {
                            "code": "ceo",
                            "description": "Daglig leder/administrerende direktør"
                          },
                          "roles": [
                            {
                              "code": "ceo",
                              "description": "Daglig leder/administrerende direktør"
                            }
                          ],
                          "identityNumber": {
                            "idNumber": "7686876",
                            "type": "unknown",
                            "country": {
                              "name": "Norway",
                              "alpha2": "NO",
                              "alpha3": "NOR",
                              "numeric": "578"
                            }
                          }
                        }
                      ]
                    },
                    "metadata": {
                      "sources": [
                        "no-brreg"
                      ],
                      "urls": [
                        "https://data.brreg.no/enhetsregisteret/api/enheter/989584022"
                      ],
                      "lastChanged": null,
                      "rawJson": null
                    }
                  },
                  "powerOfProcuration": {
                    "status": "complete",
                    "description": "Daglig leder alene",
                    "combinations": [
                      {
                        "signers": [
                          {
                            "name": {
                              "status": "partial",
                              "full": "Øystein Magnus Haugen",
                              "first": null,
                              "last": null,
                              "middle": null
                            },
                            "dateOfBirth": "1980-05-01",
                            "role": {
                              "code": "ceo",
                              "description": "Daglig leder/administrerende direktør"
                            },
                            "identityNumber": {
                              "idNumber": "7686786",
                              "type": "unknown",
                              "country": {
                                "name": "Norway",
                                "alpha2": "NO",
                                "alpha3": "NOR",
                                "numeric": "578"
                              }
                            }
                          }
                        ],
                        "description": "Daglig leder alene"
                      }
                    ],
                    "basis": {
                      "people": [
                        {
                          "name": {
                            "status": "partial",
                            "full": "Øystein Magnus Haugen",
                            "first": null,
                            "last": null,
                            "middle": null
                          },
                          "dateOfBirth": "1980-05-01",
                          "role": {
                            "code": "ceo",
                            "description": "Daglig leder/administrerende direktør"
                          },
                          "roles": [
                            {
                              "code": "ceo",
                              "description": "Daglig leder/administrerende direktør"
                            }
                          ],
                          "identityNumber": {
                            "idNumber": "7686876",
                            "type": "unknown",
                            "country": {
                              "name": "Norway",
                              "alpha2": "NO",
                              "alpha3": "NOR",
                              "numeric": "578"
                            }
                          }
                        }
                      ]
                    },
                    "metadata": {
                      "sources": [
                        "no-brreg"
                      ],
                      "urls": [
                        "https://data.brreg.no/enhetsregisteret/api/enheter/989584022/prokura"
                      ],
                      "lastChanged": null,
                      "rawJson": null
                    }
                  },
                  "metadata": {
                    "accountingYear": null,
                    "sources": [
                      "no-brreg"
                    ],
                    "urls": [
                      "https://data.brreg.no/fullmakt/enheter/989584022/prokura",
                      "https://data.brreg.no/fullmakt/enheter/989584022/signatur"
                    ],
                    "lastChanged": null,
                    "rawJson": null,
                    "isCache": false
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/countries/{country}/organizations/{id}/ownership": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Ownership",
        "description": "Retrieve ownership info for an organization",
        "operationId": "Organization_GetOwnership_GET",
        "parameters": [
          {
            "name": "country",
            "in": "path",
            "description": "ISO 3166-1 country code",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Id of the organization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax`, `external`, `IBAN` and `branch`, defaults to `organization` or `IBAN` based on endpoint and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Company Name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Organization.OwnershipDto"
                },
                "example": {
                  "companies": [
                    {
                      "name": "SIGNICAT AS",
                      "organizationNumber": {
                        "domestic": "989584022",
                        "dunsNumber": null,
                        "legalEntityIdentifier": null
                      },
                      "percentage": 75,
                      "percentageRange": {
                        "from": 10,
                        "to": 75
                      },
                      "votingRights": 2,
                      "votingRightsRange": {
                        "from": 0.1,
                        "to": 2
                      },
                      "integratedOwnership": 0.2,
                      "integratedOwnershipRange": {
                        "from": 0.1,
                        "to": 0.2
                      },
                      "sourceSpecific": null
                    }
                  ],
                  "persons": [
                    {
                      "name": {
                        "status": "partial",
                        "full": "LARS NILSEN",
                        "first": null,
                        "last": null,
                        "middle": null
                      },
                      "dateOfBirth": "0000-00-00",
                      "percentage": 25,
                      "percentageRange": {
                        "from": 1,
                        "to": 25
                      },
                      "votingRights": 2,
                      "votingRightsRange": {
                        "from": 0.1,
                        "to": 2
                      },
                      "integratedOwnership": 10.1,
                      "integratedOwnershipRange": {
                        "from": 0.1,
                        "to": 10.1
                      },
                      "sourceSpecific": null
                    }
                  ],
                  "otherShareholders": [
                    {
                      "name": "SIGNICAT AS",
                      "id": "12345",
                      "percentage": 75,
                      "percentageRange": {
                        "from": 10,
                        "to": 75
                      },
                      "votingRights": 2,
                      "votingRightsRange": {
                        "from": 0.1,
                        "to": 2
                      },
                      "integratedOwnership": 0.2,
                      "integratedOwnershipRange": {
                        "from": 0.1,
                        "to": 0.2
                      },
                      "sourceSpecific": null
                    }
                  ],
                  "sourceSpecific": null,
                  "metadata": {
                    "sources": [
                      "no-bisnode"
                    ],
                    "urls": [],
                    "lastChanged": null,
                    "rawJson": null,
                    "isCache": false
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/countries/{country}/organizations/{id}/roles": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Roles",
        "description": "Retrieve information about roles in an organization",
        "operationId": "Organization_GetRoles_GET",
        "parameters": [
          {
            "name": "country",
            "in": "path",
            "description": "ISO 3166-1 country code",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Id of the organization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "expand",
            "in": "query",
            "description": "Optionally request one or more attributes, by default all available attributes are included.",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax`, `external`, `IBAN` and `branch`, defaults to `organization` or `IBAN` based on endpoint and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Company Name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Organization.RolesDto"
                },
                "example": {
                  "persons": [
                    {
                      "name": {
                        "status": "all",
                        "full": "SKJEGGESTAD THOMAS",
                        "first": "THOMAS",
                        "last": "SKJEGGESTAD",
                        "middle": null
                      },
                      "address": {
                        "street": "KAMFJORDÅSEN 86",
                        "postalCode": "3227",
                        "city": "SANDEFJORD",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "dateOfBirth": "1956-02-03",
                      "nationality": {
                        "name": "Norway",
                        "alpha2": "NO",
                        "alpha3": "NOR",
                        "numeric": "578"
                      },
                      "identityNumber": {
                        "idNumber": "21213",
                        "type": "unknown",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "role": "ceo",
                      "roles": [
                        {
                          "role": "ceo",
                          "startDate": null,
                          "endDate": null,
                          "description": null
                        }
                      ]
                    },
                    {
                      "name": {
                        "status": "all",
                        "full": "LANGLI MAIA ANNE",
                        "first": "MAIA",
                        "last": "LANGLI",
                        "middle": "ANNE"
                      },
                      "address": {
                        "street": "EBBESENS GATE 191",
                        "postalCode": "1636",
                        "city": "FREDRIKSTAD",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "dateOfBirth": "1972-11-17",
                      "nationality": {
                        "name": "Norway",
                        "alpha2": "NO",
                        "alpha3": "NOR",
                        "numeric": "578"
                      },
                      "identityNumber": {
                        "idNumber": "21213",
                        "type": "unknown",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "role": "boardLeader",
                      "roles": [
                        {
                          "role": "boardLeader",
                          "startDate": null,
                          "endDate": null,
                          "description": null
                        }
                      ]
                    },
                    {
                      "name": {
                        "status": "all",
                        "full": "SØRHAUG LINE HEDVIG",
                        "first": "LINE",
                        "last": "SØRHAUG",
                        "middle": "HEDVIG"
                      },
                      "address": {
                        "street": "HAUGSTUA 204",
                        "postalCode": "9017",
                        "city": "TROMSØ",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "dateOfBirth": "1965-05-19",
                      "nationality": {
                        "name": "Norway",
                        "alpha2": "NO",
                        "alpha3": "NOR",
                        "numeric": "578"
                      },
                      "identityNumber": {
                        "idNumber": "21213",
                        "type": "unknown",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "role": "boardMember",
                      "roles": [
                        {
                          "role": "boardMember",
                          "startDate": null,
                          "endDate": null,
                          "description": null
                        }
                      ]
                    },
                    {
                      "name": {
                        "status": "all",
                        "full": "JULIE BAUDIN",
                        "first": "JULIE",
                        "last": "BAUDIN",
                        "middle": null
                      },
                      "address": {
                        "street": "UTVANDRET",
                        "postalCode": null,
                        "city": null,
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "dateOfBirth": "1966-03-22",
                      "nationality": {
                        "name": "Norway",
                        "alpha2": "NO",
                        "alpha3": "NOR",
                        "numeric": "578"
                      },
                      "identityNumber": {
                        "idNumber": "12342234",
                        "type": "nationalIdentityNumber",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "role": "boardMember",
                      "roles": [
                        {
                          "role": "boardMember",
                          "startDate": null,
                          "endDate": null,
                          "description": null
                        }
                      ]
                    }
                  ],
                  "companies": [
                    {
                      "name": "Ernst & Young AS",
                      "organizationNumber": {
                        "domestic": "976389387",
                        "dunsNumber": null,
                        "legalEntityIdentifier": null
                      },
                      "role": "accountant",
                      "roles": [
                        {
                          "role": "accountant",
                          "startDate": null,
                          "endDate": null,
                          "description": null
                        }
                      ]
                    },
                    {
                      "name": "AZETS INSIGHT AS",
                      "organizationNumber": {
                        "domestic": "983338917",
                        "dunsNumber": null,
                        "legalEntityIdentifier": null
                      },
                      "role": "bookkeeper",
                      "roles": [
                        {
                          "role": "bookkeeper",
                          "startDate": null,
                          "endDate": null,
                          "description": null
                        }
                      ]
                    }
                  ],
                  "others": null,
                  "metadata": {
                    "sources": [
                      "no-bisnode"
                    ],
                    "urls": [],
                    "lastChanged": null,
                    "rawJson": null,
                    "isCache": false
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/countries/{country}/organizations/{id}/ultimate-beneficial-owners": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Ultimate beneficial owners",
        "description": "Retrieve information about ultimate beneficial owners for an organization",
        "operationId": "Organization_GetUbo_GET",
        "parameters": [
          {
            "name": "country",
            "in": "path",
            "description": "ISO 3166-1 country code",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Id of the organization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax`, `external`, `IBAN` and `branch`, defaults to `organization` or `IBAN` based on endpoint and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Company Name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ultimate beneficial owners was found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Organization.UboDto"
                },
                "example": {
                  "ultimateBeneficiaryOwners": [
                    {
                      "ownership": {
                        "directOwnership": 100,
                        "directOwnershipRange": {
                          "from": 5,
                          "to": 100
                        },
                        "indirectOwnership": null,
                        "indirectOwnershipRange": {
                          "from": 1,
                          "to": 2.5
                        },
                        "integratedOwnership": null,
                        "integratedOwnershipRange": {
                          "from": 10,
                          "to": 20
                        },
                        "votingRights": null,
                        "votingRightsRange": {
                          "from": 50,
                          "to": 55
                        },
                        "votingPower": null,
                        "votingPowerRange": {
                          "from": 90,
                          "to": 90.5
                        }
                      },
                      "name": {
                        "status": "partial",
                        "full": "HANNESTAD MARIE GRETE",
                        "first": null,
                        "last": null,
                        "middle": null
                      },
                      "address": {
                        "street": "REDDALSVEIEN 146",
                        "postalCode": "4886",
                        "city": "GRIMSTAD",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "birth": {
                        "monthOfBirth": "04",
                        "yearOfBirth": "1960",
                        "dateOfBirth": "1960-04-03",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "gender": "unknown",
                      "identityNumber": {
                        "idNumber": "21213",
                        "type": "unknown",
                        "country": {
                          "name": "Norway",
                          "alpha2": "NO",
                          "alpha3": "NOR",
                          "numeric": "578"
                        }
                      },
                      "nationality": {
                        "name": "Norway",
                        "alpha2": "NO",
                        "alpha3": "NOR",
                        "numeric": "578"
                      },
                      "role": "unknown"
                    }
                  ],
                  "metadata": {
                    "sources": [
                      "no-bisnode"
                    ],
                    "urls": [],
                    "lastChanged": null,
                    "rawJson": null,
                    "isCache": false
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "404": {
            "description": "No ultimate beneficial owners was found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/countries/{country}/organizations/{id}/finance": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Finance",
        "description": "Retrieve financial info for an organization",
        "operationId": "Organization_GetFinance_GET",
        "parameters": [
          {
            "name": "country",
            "in": "path",
            "description": "ISO 3166-1 country code",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "Id of the organization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax`, `external`, `IBAN` and `branch`, defaults to `organization` or `IBAN` based on endpoint and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Company Name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Organization.FinanceDto"
                },
                "example": {
                  "creditRating": {
                    "score": "AAA",
                    "ratingSystem": "Bisnode AAA",
                    "description": "Highest credit worthiness",
                    "link": "https://www.bisnode.com/about-bisnode/what-we-do/our-approach-to-risk-and-credit/credit-rating-model-company/",
                    "year": 2020
                  },
                  "numberOfPaymentRemarks": 0,
                  "profitAndLoss": [
                    {
                      "turnover": 231750000,
                      "grossProfit": 8305000,
                      "netProfit": -2706000,
                      "netProfitAfterTax": null,
                      "year": 2019,
                      "currency": "SEK"
                    },
                    {
                      "turnover": 231750000,
                      "grossProfit": 8305000,
                      "netProfit": -2706000,
                      "netProfitAfterTax": null,
                      "year": 2018,
                      "currency": "SEK"
                    },
                    {
                      "turnover": 231750000,
                      "grossProfit": 8305000,
                      "netProfit": -2706000,
                      "netProfitAfterTax": null,
                      "year": 2017,
                      "currency": "SEK"
                    }
                  ],
                  "netWorth": [],
                  "metadata": {
                    "sources": [
                      "bisnode"
                    ],
                    "urls": [],
                    "lastChanged": null,
                    "rawJson": null,
                    "isCache": false
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/countries/{country}/organizations/accountnumber/{accountNumber}/verify": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Account Holder Verification",
        "description": "Retrieve account details if a bank account is found (using an IBAN) and it matches the name provided.",
        "operationId": "Organization_VerifyAccountNumber_GET",
        "parameters": [
          {
            "name": "country",
            "in": "path",
            "description": "ISO 3166-1 country code",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "accountNumber",
            "in": "path",
            "description": "Account number of the organization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "idList",
            "in": "query",
            "description": "Parameter used to specify a list of id checks. Allowed values are `NL_KVK`, `NL_KVK_BRANCH`, `EU_VAT`, `FR_SIREN`, `FR_SIRET` and `UK_CRN`. This parameter applies to a limited number of sources. For data sources in Italy, this is a required parameter and must be set to `EU_VAT`. Format to specify the attribute should be as follows NL_KVK, 01234565",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax`, `external`, `IBAN` and `branch`, defaults to `organization` or `IBAN` based on endpoint and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Company Name",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "id",
            "in": "query",
            "description": "Id of the organization",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccountNumberVerificationResultDto"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable Content",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ProblemDto"
                },
                "example": {
                  "code": "PL-1900",
                  "type": "https://developer.signicat.com/docs/data-verification/error-codes/#PL-1900",
                  "title": "Error message",
                  "detail": "This error is often an example",
                  "status": null,
                  "invalidParams": null
                }
              }
            }
          }
        }
      }
    },
    "/organizations/screening": {
      "get": {
        "tags": [
          "Organizations"
        ],
        "summary": "Screening",
        "description": "AML/CFT screening against lists with politically exposed persons (PEP), sanctions and adverse media.",
        "operationId": "OrganizationGlobal_Screening_GET",
        "parameters": [
          {
            "name": "idType",
            "in": "query",
            "description": "Optional hint to what kind of id being used.\nAllowed values are `organization`, `tax` and `external`, defaults to `organization` and is only used by a limited number of sources.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "countries",
            "in": "query",
            "description": "Comma-separated list of countries to include in the search - ISO 3166-1 format",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "id",
            "in": "query",
            "description": "Id of the entity to search for",
            "schema": {
              "maxLength": 100,
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Name of the entity to search for",
            "schema": {
              "maxLength": 100,
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Optional name of the source to use",
            "schema": {
              "maxLength": 50,
              "type": "string"
            }
          },
          {
            "name": "rawJson",
            "in": "query",
            "description": "Optionally include the raw data received from the upstream if supported by the source",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "listType",
            "in": "query",
            "description": "Comma-separated string of list types to screen against, defaults to all lists. Allowed values are `pep`, `sanction` and `adverseMedia`.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Used for paging",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
[...]
